deepfacelab中文网

 找回密码
 立即注册(仅限QQ邮箱)
查看: 265|回复: 6

五彩192 WF脸 df 高参 报错,各位大佬,帮忙看看!

[复制链接]

10

主题

50

帖子

831

积分

高级丹师

Rank: 5Rank: 5

积分
831
 楼主| 发表于 2024-3-4 16:23:07 | 显示全部楼层 |阅读模式
星级打分
  • 1
  • 2
  • 3
  • 4
  • 5
平均分:NAN  参与人数:0  我的评分:未评
加载名为 DF 192 wf_SAEHD 的模型...

选择一个或多个 GPU 编号(以逗号分隔).

[CPU] : CPU
  [0] : ASUS Radeon RX 5700 XT

[0] 选择哪些 GPU 索引? : 0
0

Initializing models: 100%|###############################################################| 5/5 [00:04<00:00,  1.04it/s]
加载样本中...: 100%|##############################################################| 1283/1283 [00:02<00:00, 487.14it/s]
加载样本中...: 100%|############################################################| 11737/11737 [00:23<00:00, 498.20it/s]

=======================模型概要========================

                  模型名字: DF 192 wf_SAEHD

                  当前迭代: 1

---------------------模型选项----------------------

            resolution: 192
             face_type: wf
     models_opt_on_gpu: True
                 archi: df
               ae_dims: 384
                e_dims: 92
                d_dims: 72
           d_mask_dims: 22
       masked_training: True
           uniform_yaw: False
            lr_dropout: n
           random_warp: True
             gan_power: 0.0
       true_face_power: 0.0
      face_style_power: 0.0
        bg_style_power: 0.0
               ct_mode: none
              clipgrad: False
              pretrain: False
       autobackup_hour: 0
write_preview_history: False
           target_iter: 0
           random_flip: True
            batch_size: 8
                  模型训练: 五彩艺术
                  严禁转卖: 违者必究
                 QQ交流群: 114825055
       eyes_mouth_prio: False
         blur_out_mask: False
             adabelief: True
      random_hsv_power: 0.0
        gan_patch_size: 24
              gan_dims: 16

---------------------运行信息----------------------

                  设备编号: 0
                  设备名称: ASUS Radeon RX 5700 XT
                  显存大小: 6.85GB

===============================================
猫之汉化
出售模型、商业换脸程序开发、商业换脸视频定制
QQ\微信:564646676
淘宝店地址:http://t.hk.uy/4ks
=============================================

启动中. 按回车键停止训练并保存进度。

保存时间|迭代次数|单次时间|SRC损失|DST损失
Error: 2 root error(s) found.
  (0) Resource exhausted: OOM when allocating tensor with shape[8,144,192,192] and type float on /job:localhost/replica:0/task:0/deviceML:0 by allocator DmlAllocator
         [[node Add_23 (defined at D:\AI\DFL_maozhihanhua_DirectX 12\_internal\python-3.6.8\lib\site-packages\tensorflow_core\python\framework\ops.py:1762) ]]
Hint: If you want to see a list of allocated tensors when OOM happens, add report_tensor_allocations_upon_oom to RunOptions for current allocation info.

         [[concat/concat/_363]]
Hint: If you want to see a list of allocated tensors when OOM happens, add report_tensor_allocations_upon_oom to RunOptions for current allocation info.

  (1) Resource exhausted: OOM when allocating tensor with shape[8,144,192,192] and type float on /job:localhost/replica:0/task:0/deviceML:0 by allocator DmlAllocator
         [[node Add_23 (defined at D:\AI\DFL_maozhihanhua_DirectX 12\_internal\python-3.6.8\lib\site-packages\tensorflow_core\python\framework\ops.py:1762) ]]
Hint: If you want to see a list of allocated tensors when OOM happens, add report_tensor_allocations_upon_oom to RunOptions for current allocation info.

0 successful operations.
0 derived errors ignored.

Original stack trace for 'Add_23':
  File "threading.py", line 884, in _bootstrap
  File "threading.py", line 916, in _bootstrap_inner
  File "threading.py", line 864, in run
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\DeepFaceLab\mainscripts\Trainer.py", line 58, in trainerThread
    debug=debug)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\DeepFaceLab\models\ModelBase.py", line 199, in __init__
    self.on_initialize()
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\DeepFaceLab\models\Model_SAEHD\Model.py", line 409, in on_initialize
    gpu_pred_src_src, gpu_pred_src_srcm = self.decoder_src(gpu_src_code)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\DeepFaceLab\core\leras\models\ModelBase.py", line 117, in __call__
    return self.forward(*args, **kwargs)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\DeepFaceLab\core\leras\archis\DeepFakeArchi.py", line 226, in forward
    x = self.res2(x)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\DeepFaceLab\core\leras\models\ModelBase.py", line 117, in __call__
    return self.forward(*args, **kwargs)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\DeepFaceLab\core\leras\archis\DeepFakeArchi.py", line 82, in forward
    x = self.conv1(inp)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\DeepFaceLab\core\leras\layers\LayerBase.py", line 14, in __call__
    return self.forward(*args, **kwargs)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\DeepFaceLab\core\leras\layers\Conv2D.py", line 107, in forward
    x = tf.add(x, bias)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\python-3.6.8\lib\site-packages\tensorflow_core\python\ops\gen_math_ops.py", line 410, in add
    "Add", x=x, y=y, name=name)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\python-3.6.8\lib\site-packages\tensorflow_core\python\framework\op_def_library.py", line 794, in _apply_op_helper
    op_def=op_def)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\python-3.6.8\lib\site-packages\tensorflow_core\python\util\deprecation.py", line 507, in new_func
    return func(*args, **kwargs)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\python-3.6.8\lib\site-packages\tensorflow_core\python\framework\ops.py", line 3371, in create_op
    attrs, op_def, compute_device)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\python-3.6.8\lib\site-packages\tensorflow_core\python\framework\ops.py", line 3440, in _create_op_internal
    op_def=op_def)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\python-3.6.8\lib\site-packages\tensorflow_core\python\framework\ops.py", line 1762, in __init__
    self._traceback = tf_stack.extract_stack()

Traceback (most recent call last):
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\python-3.6.8\lib\site-packages\tensorflow_core\python\client\session.py", line 1365, in _do_call
    return fn(*args)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\python-3.6.8\lib\site-packages\tensorflow_core\python\client\session.py", line 1350, in _run_fn
    target_list, run_metadata)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\python-3.6.8\lib\site-packages\tensorflow_core\python\client\session.py", line 1443, in _call_tf_sessionrun
    run_metadata)
tensorflow.python.framework.errors_impl.ResourceExhaustedError: 2 root error(s) found.
  (0) Resource exhausted: OOM when allocating tensor with shape[8,144,192,192] and type float on /job:localhost/replica:0/task:0/deviceML:0 by allocator DmlAllocator
         [[{{node Add_23}}]]
Hint: If you want to see a list of allocated tensors when OOM happens, add report_tensor_allocations_upon_oom to RunOptions for current allocation info.

         [[concat/concat/_363]]
Hint: If you want to see a list of allocated tensors when OOM happens, add report_tensor_allocations_upon_oom to RunOptions for current allocation info.

  (1) Resource exhausted: OOM when allocating tensor with shape[8,144,192,192] and type float on /job:localhost/replica:0/task:0/deviceML:0 by allocator DmlAllocator
         [[{{node Add_23}}]]
Hint: If you want to see a list of allocated tensors when OOM happens, add report_tensor_allocations_upon_oom to RunOptions for current allocation info.

0 successful operations.
0 derived errors ignored.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\DeepFaceLab\mainscripts\Trainer.py", line 131, in trainerThread
    iter, iter_time = model.train_one_iter()
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\DeepFaceLab\models\ModelBase.py", line 480, in train_one_iter
    losses = self.onTrainOneIter()
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\DeepFaceLab\models\Model_SAEHD\Model.py", line 774, in onTrainOneIter
    src_loss, dst_loss = self.src_dst_train (warped_src, target_src, target_srcm, target_srcm_em, warped_dst, target_dst, target_dstm, target_dstm_em)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\DeepFaceLab\models\Model_SAEHD\Model.py", line 584, in src_dst_train
    self.target_dstm_em:target_dstm_em,
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\python-3.6.8\lib\site-packages\tensorflow_core\python\client\session.py", line 956, in run
    run_metadata_ptr)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\python-3.6.8\lib\site-packages\tensorflow_core\python\client\session.py", line 1180, in _run
    feed_dict_tensor, options, run_metadata)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\python-3.6.8\lib\site-packages\tensorflow_core\python\client\session.py", line 1359, in _do_run
    run_metadata)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\python-3.6.8\lib\site-packages\tensorflow_core\python\client\session.py", line 1384, in _do_call
    raise type(e)(node_def, op, message)
tensorflow.python.framework.errors_impl.ResourceExhaustedError: 2 root error(s) found.
  (0) Resource exhausted: OOM when allocating tensor with shape[8,144,192,192] and type float on /job:localhost/replica:0/task:0/deviceML:0 by allocator DmlAllocator
         [[node Add_23 (defined at D:\AI\DFL_maozhihanhua_DirectX 12\_internal\python-3.6.8\lib\site-packages\tensorflow_core\python\framework\ops.py:1762) ]]
Hint: If you want to see a list of allocated tensors when OOM happens, add report_tensor_allocations_upon_oom to RunOptions for current allocation info.

         [[concat/concat/_363]]
Hint: If you want to see a list of allocated tensors when OOM happens, add report_tensor_allocations_upon_oom to RunOptions for current allocation info.

  (1) Resource exhausted: OOM when allocating tensor with shape[8,144,192,192] and type float on /job:localhost/replica:0/task:0/deviceML:0 by allocator DmlAllocator
         [[node Add_23 (defined at D:\AI\DFL_maozhihanhua_DirectX 12\_internal\python-3.6.8\lib\site-packages\tensorflow_core\python\framework\ops.py:1762) ]]
Hint: If you want to see a list of allocated tensors when OOM happens, add report_tensor_allocations_upon_oom to RunOptions for current allocation info.

0 successful operations.
0 derived errors ignored.

Original stack trace for 'Add_23':
  File "threading.py", line 884, in _bootstrap
  File "threading.py", line 916, in _bootstrap_inner
  File "threading.py", line 864, in run
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\DeepFaceLab\mainscripts\Trainer.py", line 58, in trainerThread
    debug=debug)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\DeepFaceLab\models\ModelBase.py", line 199, in __init__
    self.on_initialize()
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\DeepFaceLab\models\Model_SAEHD\Model.py", line 409, in on_initialize
    gpu_pred_src_src, gpu_pred_src_srcm = self.decoder_src(gpu_src_code)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\DeepFaceLab\core\leras\models\ModelBase.py", line 117, in __call__
    return self.forward(*args, **kwargs)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\DeepFaceLab\core\leras\archis\DeepFakeArchi.py", line 226, in forward
    x = self.res2(x)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\DeepFaceLab\core\leras\models\ModelBase.py", line 117, in __call__
    return self.forward(*args, **kwargs)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\DeepFaceLab\core\leras\archis\DeepFakeArchi.py", line 82, in forward
    x = self.conv1(inp)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\DeepFaceLab\core\leras\layers\LayerBase.py", line 14, in __call__
    return self.forward(*args, **kwargs)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\DeepFaceLab\core\leras\layers\Conv2D.py", line 107, in forward
    x = tf.add(x, bias)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\python-3.6.8\lib\site-packages\tensorflow_core\python\ops\gen_math_ops.py", line 410, in add
    "Add", x=x, y=y, name=name)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\python-3.6.8\lib\site-packages\tensorflow_core\python\framework\op_def_library.py", line 794, in _apply_op_helper
    op_def=op_def)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\python-3.6.8\lib\site-packages\tensorflow_core\python\util\deprecation.py", line 507, in new_func
    return func(*args, **kwargs)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\python-3.6.8\lib\site-packages\tensorflow_core\python\framework\ops.py", line 3371, in create_op
    attrs, op_def, compute_device)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\python-3.6.8\lib\site-packages\tensorflow_core\python\framework\ops.py", line 3440, in _create_op_internal
    op_def=op_def)
  File "D:\AI\DFL_maozhihanhua_DirectX 12\_internal\python-3.6.8\lib\site-packages\tensorflow_core\python\framework\ops.py", line 1762, in __init__
    self._traceback = tf_stack.extract_stack()

回复

使用道具 举报

32

主题

311

帖子

2716

积分

初级丹圣

Rank: 8Rank: 8

积分
2716

万事如意节日勋章

发表于 2024-3-4 16:53:26 | 显示全部楼层
oom   显存不够
回复 支持 反对

使用道具 举报

10

主题

50

帖子

831

积分

高级丹师

Rank: 5Rank: 5

积分
831
 楼主| 发表于 2024-3-4 17:44:55 | 显示全部楼层

谢谢大佬
回复 支持 反对

使用道具 举报

0

主题

60

帖子

1609

积分

初级丹圣

Rank: 8Rank: 8

积分
1609
发表于 2024-3-5 00:23:16 | 显示全部楼层

降低BS
回复 支持 反对

使用道具 举报

0

主题

21

帖子

180

积分

高级丹童

Rank: 2

积分
180
发表于 2024-3-5 12:31:15 | 显示全部楼层
显存不够  降低BS跑
回复 支持 反对

使用道具 举报

5

主题

43

帖子

369

积分

初级丹师

Rank: 3Rank: 3

积分
369
发表于 2024-3-5 19:12:27 | 显示全部楼层
第一眼就看到OOM,out of memory 内存溢出
回复 支持 反对

使用道具 举报

29

主题

402

帖子

2454

积分

初级丹圣

Rank: 8Rank: 8

积分
2454

万事如意节日勋章

发表于 2024-3-5 21:57:13 | 显示全部楼层
虚拟内存设置高点

我6700xtbs都能开22   你bs8绰绰有余
回复 支持 反对

使用道具 举报

QQ|Archiver|手机版|deepfacelab中文网 |网站地图

GMT+8, 2024-4-19 15:58 , Processed in 0.079562 second(s), 9 queries , Redis On.

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表